/* eslint-disable @next/next/no-img-element */
import * as React from 'react';
import { useCallback, useState } from 'react';
import { useOverviewImage } from './utils/useOverviewImage';

export const OverviewImagesModal: React.FC = () => {
  const [containerRect, setContainerRect] = useState<DOMRect>();
  const { imageUrl, size } = useOverviewImage({ containerRect });
  const { width, height } = size;

  const handleRect = useCallback((node: HTMLDivElement | null) => {
    if (!node) {
      return;
    }

    setContainerRect(node.getBoundingClientRect());
  }, []);

  if (!imageUrl) {
    return null;
  }

  return (
    <div
      data-testid="overview-images-modal"
      className="flex h-full w-full items-center justify-center bg-white"
      ref={handleRect}
    >
      <div className="relative" style={{ width, height }}>
        <img alt="overview" className="block h-full w-full" src={imageUrl} />
        {/* TODO: interactions - clickable elements (in next task) */}
      </div>
    </div>
  );
};
